{ config, lib, pkgs, inputs, ... }:

let cfg = config.sydnix.users.crumb.quake-live;
in {
  options.sydnix.users.crumb.quake-live = {
    enable = lib.mkEnableOption "Madeleine's Quake Live config";
  };

  config = lib.mkIf cfg.enable
    (let
      steam-id = "76561198337705174";
      cfg-dir = ".local/share/Steam/steamapps/common/Quake Live/${steam-id}/baseq3";
      my-autoexec = ./quake-live/autoexec.cfg;
    in {
      home.file."${cfg-dir}/autoexec.cfg".source = my-autoexec;
  });
}
